Page MenuHomePhabricator

Move Setup Issues into it's own notification style menu
ClosedPublic

Authored by chad on Aug 26 2016, 7:42 PM.

Details

Summary

Ref T11132. This gets rid of the red bar for admins and instead shows a new menu item next to notifications/chat if there are unresolved configuration issues. Menu goes away if there are no issues. May move this later into the bell icon, but think think might be the right place to start especially for NUX and updates. Maybe limit the number of items?

Test Plan

Tested with some, lots, and no config issues.

Diff Detail

Repository
rP Phabricator
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

chad updated this revision to Diff 39593.Aug 26 2016, 7:42 PM
chad retitled this revision from to Move Setup Issues into it's own notification style menu.
chad updated this object.
chad edited the test plan for this revision. (Show Details)
chad added a reviewer: epriestley.
chad updated this object.Aug 26 2016, 7:43 PM
chad edited the test plan for this revision. (Show Details)
chad updated this revision to Diff 39594.Aug 26 2016, 7:55 PM
  • language
chad added inline comments.Aug 27 2016, 5:03 AM
src/view/page/menu/PhabricatorMainMenuView.php
600

derp.

epriestley edited edge metadata.Aug 27 2016, 2:34 PM

That countType thing is the only thing I see (and maybe colorize this again? I don't really feel strongly, but a lot of these issues are important, and this feels much less visible / attention-grabbing to me without color than the red bar did).

I think countType populates the little (3) in the page title. Not sure if these make sense to include, you could give them countType of null and then do something like this in aphlict-dropdown maybe:

+ if (config.countType) {
    JX.Title.setCount(config.countType, config.countNumber);
+ }

I think there are a couple of calls to JX.Title.setCount you'd need to tweak if you go that route.

chad updated this revision to Diff 39600.Aug 27 2016, 7:03 PM
chad edited edge metadata.
  • fix count type
chad updated this revision to Diff 39601.Aug 27 2016, 8:06 PM
  • tweak JS, Color
chad added a comment.Aug 27 2016, 8:13 PM

More color. I still wonder if the word "Issue" might be needed here.

chad updated this revision to Diff 39605.Aug 28 2016, 2:01 AM
  • fix link URI
epriestley accepted this revision.Aug 29 2016, 5:20 PM
epriestley edited edge metadata.
This revision is now accepted and ready to land.Aug 29 2016, 5:20 PM
This revision was automatically updated to reflect the committed changes.